CTAGS-LANG-JAVASCRIPT(7)

NAME
ctags-lang-javascript - Random notes about tagging JavaScript source code with Universal Ctags

SYNOPSIS
ctags ... --languages=+JavaScript ...
ctags ... --language-force=JavaScript ...
ctags ... --map-JavaScript=+.js ...

DESCRIPTION

This man page gathers random notes about tagging JavaScript source code.

CLASSES

ES6 introduced the class keyword, but there is still the original method of defining a function and attaching a prototype. ctags follows the convention that function names that start with a capital letter are class constructors.

SEE ALSO

ctags(1), ctags-client-tools(7)